L'eliminazione della versione non riesce con errori di versione corrotta | AEM 6.x

Problema

L'eliminazione della versione non riesce con errori simili a quelli sottosanti:

27.04.2017 17:57:33.121 *WARN* [sling-threadpool-54ff6798-1ec5-4052-a69c-cb885809ffcb-(apache-sling-job-thread-pool)-10513-Maintenance Queue(com/adobe/granite/maintenance/job/VersionPurgeTask)] org.apache.jackrabbit.oak.plugins.version.ReadOnlyVersionManager Missing versionable path property for crx.default at /jcr:system/jcr:versionStorage/b7/c8/eb/b7c8eb37-a4ab-4ff1-9b09-8c87dd131c49
27.04.2017 17:57:47.573 *ERROR* [sling-threadpool-54ff6798-1ec5-4052-a69c-cb885809ffcb-(apache-sling-job-thread-pool)-10513-Maintenance Queue(com/adobe/granite/maintenance/job/VersionPurgeTask)] com.day.cq.wcm.core.impl.VersionManagerImpl Unable to purge version 1.0 for /content/commercial-TEST/demo/plegridy/hcp/en_us/home/ms-events/ms-events-webinars/event-registration/event-registration/jcr:content : OakIntegrity0001: Unable to delete referenced node
     at com.day.cq.wcm.core.impl.VersionPurgeTask.process(VersionPurgeTask.java:121)
27.04.2017 17:57:48.033 *ERROR* [sling-threadpool-54ff6798-1ec5-4052-a69c-cb885809ffcb-(apache-sling-job-thread-pool)-10513-Maintenance Queue(com/adobe/granite/maintenance/job/VersionPurgeTask)] org.apache.sling.event.impl.jobs.queues.JobQueueImpl.Maintenance Queue Unhandled error occured in job processor null while processing job Sling Job [topic=com/adobe/granite/maintenance/job/VersionPurgeTask, id=2017/4/27/17/57/3953890e-404b-43a9-ba2f-9200747789f2_229, properties=slingevent:application=3953890e-404b-43a9-ba2f-9200747789f2,jcr:created=java.util.GregorianCalendar(Thu Apr 27 17:57:32 EDT 2017),slingevent:created=java.util.GregorianCalendar(Thu Apr 27 17:57:32 EDT 2017),event.job.queuename=Maintenance Queue,event.job.queued.time=java.util.GregorianCalendar(Thu Apr 27 17:57:32 EDT 2017),jcr:createdBy=admin,sling:resourceType=slingevent:Job,event.job.application=3953890e-404b-43a9-ba2f-9200747789f2,event.job.retries=1,event.job.started.time=java.util.GregorianCalendar(Thu Apr 27 17:57:32 EDT 2017),jcr:primaryType=slingevent:Job,event.job.retrycount=0]
     at com.day.cq.wcm.core.impl.VersionPurgeTask.process(VersionPurgeTask.java:121)
27.04.2017 17:57:48.060 *ERROR* [Thread-7] com.adobe.granite.maintenance.impl.TaskScheduler Maintenance task VersionPurgeTask failed

Ambiente

AEM 6.x

Causa

La corruzione della versione è responsabile del problema. Alcuni casi di corruzione della versione sono causati dal bug OAK-5193.

Risoluzione

  1. Scarica l'ultimo file jar di oak-run che corrisponde alla versione installata di Apache Oak. Vedi la versione Oak in http://aem-host:port/crx/de/index.jsp sul lato destro della pagina principale.

    • AEM 6.0 utilizza Oak 1.0.x
    • AEM6.1 utilizza Oak 1.2.x
    • AEM 6.2 utilizza Oak 1.4.x
    • AEM 6.3 utilizza Oak 1.6.x
    • AEM 6.4 utilizza Oak 1.8.x
  2. Carica il jar di oak-run sul tuo server.

  3. Carica lo script groovy allegato al tuo server.

  4. Esegui il seguente comando sul server dalla stessa directory del file jar AEM (sostituisci {aemuser} con l'ID utente dell'utente del processo java AEM).

    sudo -u {aemuser} sh -c 'nohup java -Xmx2048m -jar oak-run-1.4.15.jar console crx-quickstart/repository/segmentstore ":load OAK-5193-fix.groovy" >> crx-quickstart/logs/script.log 2>&1 &'
  5. Scarica e installa l'ultima versione degli hotfix Oak per la tua versione AEM (non richiesta per 6.3+).

 Adobe

Ottieni supporto in modo più facile e veloce

Nuovo utente?